@charset "UTF-8"; 

article, aside, footer, header, main, nav, section {
  display: block;
}
 /*no ideas what it does but contain list of blocks for our work */ 

html, body, h1, h2, h3, ul, li, a, p, 
article, aside, footer, header, main, nav, section {
  padding: 0;
  margin: 0;
}
/*setting for the header labelled banner on the html document */
.banner { 
  background-color: maroon; /*was #11233b */
  color: black;
  padding: 8px 8px;
  font-size: 25px;
  font-family: "Times New Roman", Georgia, Serif;
}
/* <p style="text-align:justify">*/ 
body {
  width: 1200px; /* size of the web page */
  margin-left: auto; /* for keeping the webpage center */
  margin-right: auto;
  background-color: LightGray ; /* was #f0f0f0 */
  font-family: Helvetica, Arial, sans-serif;
  font-size: 20px;
}
  
nav {
  background-color: LightGray ; /* was #20416c */
  padding: 10px; /* rectangle height */
   margin-top: 5px; /* gap from the previous rectangle */ 
  font-size: 20px;
}
/* for an elements under the list i.e on html <li><a> ....</a></li> */
  li a {  color: black;
    font-size: 25px;
}
/* li {
  display: inline;
  margin-left: 15px;
  margin-right: 15px;
  font-size: 20px;
  font-variant: small-caps;
  font-weight: bold; 
} */
#headerlist li
{
display: inline;
list-style-type: none;
margin-left: 15px;
margin-right: 15px;
font-size: 20px;
font-variant: small-caps;
font-weight: bold; 
} 

section { /*adjust only for the sections only */
  background-color: LightGrey ; /* was #bbbbbb */
  margin-top: 10px;
  padding: 5px;
  font-size: 20px;
 text-align:justify;
}

article {
  background-color: #bbbbbb;
  margin-top: 5px;
  font-size: 20px;
  padding: 10px 15px;
}

main {
  width:900px; /* to length of the box containing the main body with out side */
  float: left; /*to keep the aside to the right*/
  margin-bottom: 10px;
  font-size: 20px;
}

aside{
  background-color: #bbbbbb;
  width: 220px;
  float: right; /* since the main section is on the left*/
  padding: 20px;
  margin-top: 10px;
}


footer {
  clear: both;
  background-color: #20416c;
  color: white;
  padding: 3px 15px;
  font-size: 20px;
}
